petsc-3.4.2 2013-07-02

# SNESGetFunctionDomainError

Gets the status of the domain error after a call to SNESComputeFunction;

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetFunctionDomainError(SNES snes, PetscBool *domainerror)

Logically Collective on SNES

### Input Parameters

snes -the SNES context

### Output Parameters

domainerror -Set to PETSC_TRUE if there's a domain error; PETSC_FALSE otherwise.

### Keywords

SNES, view

### See Also

SNESSetFunctionDomainError(), SNESComputeFunction()

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages